### Method

# Cogl Pipeline add_snippet

#### Declaration [src]

    void
    cogl_pipeline_add_snippet (
      CoglPipeline* pipeline,
      CoglSnippet* snippet
    )

#### Description [src]

Adds a shader snippet to `pipeline`. The snippet will wrap around or replace some part of the pipeline as defined by the hook point in `snippet`. Note that some hook points are specific to a layer and must be added with `cogl_pipeline_add_layer_snippet()` instead.

#### Parameters

`snippet`

  Type: `CoglSnippet`

  The `CoglSnippet` to add to the vertex processing hook.

  The data is owned by the caller of the method.